//
//  RootViewController.h
//  BasicTable
//
//  Created by DuYabo on 11-6-12.
//  Copyright 2011 Mobroad. All rights reserved.
//

#import <UIKit/UIKit.h>
@class User;
@class UserEditViewController;

@interface RootViewController : UITableViewController {
	NSMutableArray *users;
	UserEditViewController *userEditViewController;
	User *editingUser;
	UITableViewCell *nibLoadedCell;
	UISegmentedControl *sortControl;
}

@property(nonatomic, retain) NSMutableArray *users;
@property(nonatomic, retain) IBOutlet UserEditViewController *userEditViewController;
@property(nonatomic, retain) User *editingUser;
@property(nonatomic, retain) IBOutlet UITableViewCell *nibLoadedCell;
@property(nonatomic, retain) IBOutlet UISegmentedControl *sortControl;

-(IBAction)handleAddTapped;
-(IBAction)handleSortChanged;

@end
