    //
//  UserEditViewController.m
//  BasicViewControllerApp
//
//  Created by DuYabo on 11-6-12.
//  Copyright 2011 Mobroad. All rights reserved.
//

#import "UserEditViewController.h"
#import "User.h"

@implementation UserEditViewController

@synthesize nameTextField;
@synthesize titleTextField;
@synthesize salaryTextField;
@synthesize user;

-(IBAction)updateUser {
  	[self.navigationController popViewControllerAnimated:YES];
}

// The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
/*
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization.
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/

//Notifies the view controller that its view is about to be become visible.
- (void)viewWillAppear:(BOOL)animated {
	[super viewWillAppear:animated];
	self.nameTextField.text=self.user.name;
	self.titleTextField.text=self.user.title;
	NSNumberFormatter *numberFormatter=[[NSNumberFormatter alloc] init];
	[numberFormatter setNumberStyle:NSNumberFormatterCurrencyStyle];
	self.salaryTextField.text=[numberFormatter stringFromNumber:self.user.salary];
	[numberFormatter release];
}

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations.
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

#pragma mark -
#pragma mark UITextFieldDelegate

//Asks the delegate if the text field should process the pressing of the return button.
- (BOOL)textFieldShouldReturn:(UITextField *)textField {
	[textField resignFirstResponder];
	return YES;
}

//Tells the delegate that editing stopped for the specified text field.
- (void)textFieldDidEndEditing:(UITextField *)textField {
	if(textField==self.nameTextField){
		self.user.name=self.nameTextField.text;
	}else if(textField==self.titleTextField){
		self.user.title=self.titleTextField.text;
	}else if(textField==self.salaryTextField){
		NSNumberFormatter *numberFormatter=[[NSNumberFormatter alloc] init];
		[numberFormatter setNumberStyle:NSNumberFormatterCurrencyStyle];
		self.user.salary=[numberFormatter numberFromString:self.salaryTextField.text];
		[numberFormatter release];
	}
}


@end
